Package Details: xscreensaver-arch-logo 5.35-1

Git Clone URL: https://aur.archlinux.org/xscreensaver-arch-logo.git (read-only)
Package Base: xscreensaver-arch-logo
Description: Screen saver and locker for the X Window System with Arch Linux branding
Upstream URL: http://www.jwz.org/xscreensaver/
Licenses: BSD
Conflicts: xscreensaver
Provides: xscreensaver
Submitter: Harvie
Maintainer: graysky
Last Packager: graysky
Votes: 212
Popularity: 2.038426
First Submitted: 2009-05-19 16:57
Last Updated: 2016-06-08 13:30

Dependencies (10)

Required by (13)

Sources (7)

Latest Comments

graysky commented on 2016-06-10 10:57

No idea what you're talking about... Installed size of this package is 28.18 MiB per pacman -Qi

Torxed commented on 2016-06-10 09:58

How on earth can this take up 271.99MiB whilst xscreensaver itself only takes up 29.93? Assuming just default xorg-server, xorg-xinit?

graysky commented on 2016-06-08 13:30

Bump to v5.35-1

Changelog: http://www.jwz.org/xscreensaver/changelog.html

graysky commented on 2015-10-27 17:51

Bump to v5.34-1

Changelog: http://www.jwz.org/xscreensaver/changelog.html

jwhendy commented on 2015-07-22 15:16

Filed (https://bugs.archlinux.org/task/45743), but I'm thinking removing it from the upstream package isn't the solution... If it's removed as a make depend and the user installs gdm, the extra functionality still won't work. I'm half debating deleting that ticket as I write this, as I don't see them ever removing it since the functionality requires to have gdm installed *and* having built with gdm.

This would require upstream to have two versions built with and without gdm. The current behavior is nice. Little impact on binary size, and just install gdm if you want to use the features.

The "true" mimicking of upstream behavior would be to build it with gdm and then uninstall it afterward. That's what the upstream behavior really is:
- post-install, it will spit out a message that gdm is optional, what it's functionality is, and whether or not you have it installed
- if you didn't have have it installed, you still don't have it installed

The AUR behavior installs it for make, but leaves it even if you didn't have it. What about a post_install action to remove gdm if you never had it to begin with? It would still download 31MB of undesired stuff, but at least it would clean up afterward?

jwhendy commented on 2015-07-22 14:58

Oh, and doh! Gotcha... I kept thinking upstream meant to jwz's xscreensaver. It probably *is* required for that functionality. I noticed that building without it will show the button, but clicking it just turns it to greyed out. Sorry for the confusion/miscommunication and I will submit a ticket.

graysky commented on 2015-07-21 08:41

Not upstream, just to our maintainers of the official package. Again, I thought it was in fact required as a makedep to compile in the change user dialog when locked.

jwhendy commented on 2015-07-21 01:59

@graysky: I understand, but what exactly would the ticket be? The complaint is that gdm isn't required as a makedepend, and it already isn't upstream, so I don't see what to request
- Upstream: if you happen to have it installed, xscreensaver will take that into account when running ./configure. If you don't, it won't. So... what's the upstream request?
- AUR package: you have to be aware that gdm isn't *really* a makedepend and manually remove it from the PKGBUILD vs. opting in by adding it.

It would seem that this package actually isn't matching the upstream behavior. I'm happy to submit a ticket, but this is why I checked the behavior myself. I'm glad I did as I would have felt foolish taking your word for the behavior, asking him to remove gdm as a build dependency, and then hearing back that he already doesn't.

Are we on the same page, or do you see things differently?

graysky commented on 2015-07-19 19:40

Bump to v5.33-1

Changelog: http://www.jwz.org/xscreensaver/changelog.html

graysky commented on 2015-07-19 19:38

As stated in the comment from 2014-11-16, please open a ticket against the official package. I try to keep this package as close to the official as possible.

jwhendy commented on 2015-07-19 17:31

I disagree that this is the upstream behavior. I was going to email Jamie per your 2014-11-16 comment but figured I'd verify the actual package first. I started with no intltool and no gdm installed (bc already installed for cups, and libxpm installed for a bunch of stuff). First error from running `./configure`:

-----
./configure: line 7151: intltool-update: command not found
checking for intltool-update... no
checking for intltool-merge... no
checking for intltool-extract... no
configure: error: The intltool scripts were not found. Please install intltool.
-----

Install intltool, then re-run ./configure... no errors, and compiles just fine. Storing the output of ./configure with and without gdm installed results in some slight differences, which tells me configure is simply *checking* if you have gdm, not assuming or forcing you to opt-in, as this AUR package does.

So... I would disagree that this is how the upstream package behaves, as in it fails/forces installation for intltool (a "true" makedepend) but does not for gdm. Thus, I think gdm should be opt-in. Mention it to the user in the package build or elsewhere (like the typical "Optional dependency for xxx: yyy" message when installing via pacman), but do not automatically include it since there's no need for it.

The current behavior, as already noted is unfortunate as it doesn't leave gdm flagged as un-needed. I only stumbled on all of this by accident when seeing a *ton* of gnome-sh*t in my pacman log that I didn't recall ever installing. Traced it to gdm, which I traced here. I could have been more attentive... but I guess I don't really expect optional stuff to come along by default when I'm dealing with Arch, either.

graysky commented on 2014-11-22 08:45

Bump to v5.32-1

Changelog: http://www.jwz.org/xscreensaver/changelog.html

graysky commented on 2014-11-16 13:26

Please read the comments below since this has been discussed ad nauseam in the past.

Summary: my understanding is that gdm is required when building only to enable the 'new login' button on the lock screen. You don't need gdm installed if you want to use the package, just build. If that is not the case, please open a ticket against the official package. I try to keep this package as close to the official as possible.

Anonymous comment on 2014-11-16 12:21

Can you please remove gdm from the makedepends please? I can confirm what silverhammermba said: it works just fine without it. By the way, having gdm in both makedepends and optdepends can confuse some package managers: yaourt doesn't display it in as a dependence.

Seriously, this is pain. On each update I have to manually edit the PKGBUILD in order to remove this useless gdm dependence if I don't want it to install a shitload of gnome-specific software I absolutely do not want. Keeping gdm in the optional dependencies will make everyone happy.

graysky commented on 2014-11-16 09:59

Bump to v5.31-1

Changelog: http://www.jwz.org/xscreensaver/changelog.html

graysky commented on 2014-11-16 09:39

There is a bug in version 5.31 that prevents it from building. Could be due to a dep missing or an upstream bug. Emailed Jamie and waiting to hear back.

graysky commented on 2014-11-03 08:18

Not sure why you're posting to this AUR page since I don't host this package on repo-ck... likely you have a bad download. Just delete it and redownload.

msx commented on 2014-11-03 03:43

Hello @graysky, should I update your signature? repo-ck works as usual...

:: Proceed with installation? [Y/n]
(33/33) checking keys in keyring [-------------------------------------------------------] 100%
(33/33) checking package integrity [-------------------------------------------------------] 100%
error: failed to commit transaction (invalid or corrupted package)

graysky commented on 2014-09-16 21:17

Bump to v5.30-1

Changelog: http://www.jwz.org/xscreensaver/changelog.html

graysky commented on 2014-09-03 08:45

This has been discussed many time over the months. Scroll down to see the discussion and see the official arch package.

scholi commented on 2014-09-03 07:45

If like my you don't want to install gdm and it's crapy dependencies of gnome, juste remove 'gdm' from the PKGBUILD. It works fine without.

graysky commented on 2014-07-20 10:34

It's needed for some more advanced features I believe like user switching support. It's just a makedep, so it doesn't affect the deps for running this pkg.

silverhammermba commented on 2014-07-20 04:56

I sitll don't get the make dependency on gdm. I have *NO* login manager of any kind and I this package works just fine if I simply remove gdm from the PKGBUILD. Hardly a "dependency".

adirat commented on 2014-07-15 14:02

This package should not depend on gdm, it drags after it networkmanager and LOTS of other unneeded packages

graysky commented on 2014-06-09 21:30

Bump to v5.29-1

Changelog: http://www.jwz.org/xscreensaver/changelog.html

Furian-RX commented on 2014-03-19 14:25

A totally offtopic comment here...by an absolute beginner.

I looked far and wide to understand the gdm dependency. Considering I spent 2 hours I thought I can go wrong. Removed it from the PKGBUILD, made pkg, installed - nothing.

Thought - OK - I will give it a try. Brought gdm dependency back. Made pkg, installed - EPIC FAIL!

Screensaver unresponsive. No arch logo fancy look. Terminal went to that ugly font look I so hated and nothing I do brings it back. Terminal lost a few commands (no ctl shift copy).

2 hours later and many -Rs, -Qs, gdm g t f o's - no joy.

From an absolute beginner to absolute beginners - stay with the xscreensaver from official depositories if you cant walk over water. Especially if you like me like your xfce clean.

parched commented on 2013-12-11 23:24

To add to my last comment, alternatively you could patch the configure.in to add /usr/lib/lightdm/lightdm/gdmflexiserver as one of the options it tries.

Instead of the symlink, lightdm users could also do "--with-login-manager=/usr/lib/lightdm/lightdm/gdmflexiserver"

parched commented on 2013-12-11 23:20

parched commented on 2013-12-11 23:20

Yeah I meant (make)dep. Upon further investigation, the --with-login-manager flag isn't needed because by default it searches for a login manager, either gdmflexiserver (gdm or lightdm with symlink) or kdmctl (kdmbase-workspace). That is why "new login" works for FlyingFrenchman. So I think 'gdm' should be removed from the makedep and optdeps should be:
optdepends=('gdm: for login manager support, required before compilation'
'lightdm: with symlink "ln -s /usr/lib/lightdm/lightdm/gdmflexiserver /usr/local/bin/gdmflexiserver" for login manager support, required before compilation'
'kdmbase-workspace: for login manager support, required before compilation')

Or something along those lines.

PS. Upstream says the latest version is 5.26.

graysky commented on 2013-12-11 09:58

The pkg does not have a gdm dependency, only a makedep of gdm which is removed after the pkg is built. Plus, not all users will have lightdm on their systems/certainly not in their clean chroots so I cannot implement due to a lack of generality. Thanks for the suggestion though :)

parched commented on 2013-12-11 08:53

If using lightdm you can remove the gdm dependency with
ln -s /usr/lib/lightdm/lightdm/gdmflexiserver /usr/local/bin/gdmflexiserver

graysky commented on 2013-12-10 19:36

@martadinata666 - Why out of date?

graysky commented on 2013-11-27 11:12

@Dizzy- Change mirrors.
@Hepta- Well, gdm is only a makedep, not a dep. View all the comments on the page for a discussion. If you don't want to "pollute" your system with these deps when building, why not build in a clean chroot? See clean-chroot-manager in the AUR.

HeptaSean commented on 2013-11-27 10:54

Last update lead to a dependency on gdm. Is that /really/ necessary? It pulls in 64 additional dependencies on my machine (basically all of gnome).

Anonymous comment on 2013-07-28 04:53

Anyone else getting that it is unable to download ibus-1.5.3-1-i686.pkg.tar.xz ?

:(


graysky commented on 2013-07-18 20:22

Bump to v5.22-1

Changelog: Upstream update, Switch to upstream pam file, Clean up depends, Add prepare function.
Commit: http://pkgbuild.com/git/aur-mirror.git/commit/xscreensaver-arch-logo?id=1474412854ad5afa87249cfe140d5ae98531bf81

Anonymous comment on 2013-04-13 13:31

I use LightDM actually. I removed gdm from makedepends and --with-login-manager from configure and it works fine. The "new login" button does send me to lightDM's login screen. I recommend this tweak to LightDM-only users.

@SirWuffleton: I just noticed you answered the very same question like 6 months ago. I am mortified. I'll learn to scroll the AUR pages fully down next time I have a question... With all my apologies.

@graysky: well, I just don't know how I managed to work around this in 5.20 then..

graysky commented on 2013-04-12 22:34

Well, it will build but if you wish to use the user-switching capabilities, I believe gdm is actually required to be present at build time. For example `lxdm -c USER_SWITCH` invokes this for non-gnome DEs like xfce4+lxdm.

FYI - This was present in 5.20: http://pkgbuild.com/git/aur-mirror.git/commit/xscreensaver-arch-logo?id=1e66440199830041c3148f6913ddd34be1f85cc8

graysky commented on 2013-04-12 22:33

Well, it will build but if you wish to use the user-switching capabilities, I believe gdm is actually required to be present at build time.

For example `lxdm -c USER_SWITCH` invokes this for non-gnome DEs like xfce4+lxdm.

SirWuffleton commented on 2013-04-12 17:51

@FlyingFrenchman: I'm pretty sure that it's safe to remove the gdm dependencies if you don't want/require GDM integration. It builds and runs just fine for me after removing the gdm dependencies and removing the '--with-login-manager' argument to configure.

Anonymous comment on 2013-04-12 12:24

Hi,
I do not use gdm but it is both in makedepends and optdepends in PKGBUILD. Does this mean I need to install gdm and the whole gnome shebang on which it depends just for the compilation of xscreensaver? Or can "gdm" be safely removed from the makedepends line in PKGBUILD before makepkg -s as long as gdm support is not wanted?
I am upgrading from 5.20, and I don't recall having this issue last time.
Thank's for sharing your work.

Anonymous comment on 2013-03-09 19:13

sorry, just read this version created a interface in system settings.

also, tried to run it and this is my output.
(null): warning: could not set default locale
xscreensaver: 10:52:05: "gnome-screensaver" is already running on display :0.0 (window 0x1800001)

on to the manual, followed manual, have to disable gnome-screensaver, cannot remove it with pacman, so read the wiki and disabled it with gnome-session-properties and added xscreensaver seperately.

i see why people love arch so much already, i've learned much more than i had before.

SanskritFritz commented on 2013-03-09 13:36

fallen00sniper you will never see this in gnome system settings. This is a standalone program, just run xscreensaver. Read the manual.

Anonymous comment on 2013-03-09 08:37

compiled fine and installed, but i do not see screensaver in system settings.

currently running gnome, what did i miss?

SirWuffleton commented on 2012-10-18 16:17

@duffydack: Yes, this is the expected behavior. It's because of the gdm makedepend, which is required for GDM integration. This is how the official xscreensaver PKGBUILD is configured, and graysky keeps his packages as close as possible to the repo ones.

To avoid the GNOME dependencies when using a login manager that isn't GDM, simply edit the PKGBUILD and remove the gdm makedepend and the "--with-login-manager" flag to ./configure. (I use a customizepkg rule to automate this)

duffydack commented on 2012-10-18 13:56

I'm running xfce and latest update is wanting to install some gnome stuff I have not yet needed before.
"Targets (8): accountsservice-0.6.25-1 gnome-desktop-1:3.4.2-1 gnome-session-3.4.2-3 gnome-settings-daemon-3.4.2-1 libgnomekbd-3.4.0.2-1 libwacom-0.6-1 metacity-2.34.8-1 gdm-3.4.1-3"
Is this normal?

graysky commented on 2012-10-14 14:32

@martadinata - That's nice but this isn't a blog. If you don't want to use the package, don't use it. No need to announce your preferences to everyone who has subscribed to this PKG updates.

martadinata666 commented on 2012-10-14 01:03

change to xlockmore, because the gdm depend

arielp commented on 2012-07-28 20:06

5.19 seems to compile without any shenanigans this time. :)

graysky commented on 2012-07-24 11:17

Thanks for the posts, all.

1) You need gdm as a makedep if you want to enable user switching (function in lock screen).
2) I fixed the PKGBUILD back on 13-July so it will compile for everyone. Please let me know if it doesn't

Anonymous comment on 2012-07-24 09:16

@graysky: for the build error please see:

http://www.mail-archive.com/blfs-dev@linuxfromscratch.org/msg13386.html

Anyway, I don't have this problem as the package compiles (and runs fine) here, even without the gdm makedepend.

graysky commented on 2012-07-13 19:10

Here we go again... 5.18 won't build. Anyone game to debug?

Excerpt:
sonar-icmp.c: In function ‘subnet_hosts’:
sonar-icmp.c:594:55: error: ‘AF_LINK’ undeclared (first use in this function)
sonar-icmp.c:594:55: note: each undeclared identifier is reported only once for each function it appears in
make[1]: *** [sonar-icmp.o] Error 1
make[1]: Leaving directory `/scratch/xscreensaver-arch-logo/src/xscreensaver-5.18/hacks/glx'
make: *** [default] Error 5

graysky commented on 2012-06-27 01:15

I'll be damned... I still get the 'new login' button when I remove the gdm requirement (and gdm is not installed on my system). I removed it in 5.17-3.

Anonymous comment on 2012-06-27 00:28

Is the default for building packages is to allow for maximum flexibility? I don't argue your inclusion of gdm in the depends, but I wonder if the default should be people adding it instead of removing it. See, I have to remove it every time I update, those using gdm only have to add it once.

graysky commented on 2012-06-24 16:58

@jalley - see line 10 in the PKGBUILD

jalley commented on 2012-06-24 15:28

gdm is not a make dependency, please remove.

graysky commented on 2012-06-23 19:24

Bump to v5.17-1

Changelog: http://www.jwz.org/xscreensaver/changelog.html
Acknowledgement: Lambchops for submission xscreensaver_5.17_compilation_fix.patch
Commit:

graysky commented on 2012-06-23 19:19

Thanks lambchops. Will update in a sec.

lambchops468 commented on 2012-06-23 17:30

This makes it compile: http://pastebin.com/MdyMpFWU

chadberg commented on 2012-06-23 15:19

Shouldn't gdm go into an optdepends line then?

graysky commented on 2012-06-23 04:44

This version isn't building for me and I'm way too tired to mess with it tonight. Will fix tomorrow.

graysky commented on 2012-06-23 04:32

ArIelp - why did u flag out of date?

graysky commented on 2012-06-03 16:53

Guys - yes, you can build this without gdm as a dep but in doing so you lack the ability to switch users. I outlined this in the first few lines of the PKGBUILD. The default like the ARCH package is to build with this dep to allow maximal flexibility of the package. If the gdm makedep annoys you, or if you do not need or want this functionality, simply uncomment the 8th line in the PKBUILD prior to building as I have tried to document within the PKGBUILD itself.

chadberg commented on 2012-06-03 16:42

Successfully built and installed without gdm. Please remove gdm from the makedepends line.

chadberg commented on 2012-06-03 16:42

Successfully built and isntalled without gdm. Please removed gdm from the makedepends line.

graysky commented on 2012-06-03 12:31

@ravicious - head PKGBUILD

ravicious commented on 2012-06-03 12:09

Why does it force me to install gdm?

graysky commented on 2012-06-02 23:07

Bump to v5.15-6

Changelog: Reworked gdm dependency and added globalconfig file to backups array
Commit: http://pkgbuild.com/git/aur-mirror.git/commit/xscreensaver-arch-logo?id=dd7f97b5aef2d37eff48d450031ec06aa09516b3

graysky commented on 2012-06-02 23:07

Bump to v5.15-5

Changelog: Reworked gdm dependency and added globalconfig file to backups array
Commit: http://pkgbuild.com/git/aur-mirror.git/commit/xscreensaver-arch-logo?id=dd7f97b5aef2d37eff48d450031ec06aa09516b3

cdemoulins commented on 2012-05-22 12:39

Thanks, it's working now.

graysky commented on 2012-05-22 11:55

@cde - try now.

cdemoulins commented on 2012-05-22 10:05

I tried to build with yaourt or makepkg and it failed on:
configure: error: Your system doesn't have "bc", which has been a standard
part of Unix since the 1970s. Come back when your vendor
has grown a clue.

I suppose the variable makedepends cannot be set into a function.

graysky commented on 2012-05-21 22:29

Great suggestion mrk3004. I will push it in a few.

ShyPixie commented on 2012-05-20 20:18

it is a complicated situation, my suggestion:

http://paste.archlinux-br.org/1936

graysky commented on 2012-05-20 13:17

Restored v5.15-3

Changelog: Added back the perl and gdm deps. Why? These ARE in fact needed deps. See my bugreport for details: https://bugs.archlinux.org/task/29950. TR:DR version is that if users want the fast-user-switching support in xscreensaver, gdm needs to be present at compilation time.

graysky commented on 2012-05-19 18:18

Modded the PKGBUILD per namcap's output and opened a flyspray to confirm with Eric Bélanger who is maintaining the ARCH package: https://bugs.archlinux.org/task/29950

graysky commented on 2012-05-19 18:03

@mrk3004 - Can you confirm that compiling without gdm installed produces a package that runs with gdm after installation?

ShyPixie commented on 2012-05-19 15:43

xscreensaver-arch-logo E: Missing custom license directory (usr/share/licenses/xscreensaver-arch-logo)
xscreensaver-arch-logo W: Dependency pam included but already satisfied
xscreensaver-arch-logo W: Dependency included and not needed ('xorg-appres')
xscreensaver-arch-logo W: Dependency included and not needed ('perl-libwww')
xscreensaver-arch-logo W: Dependency included and not needed ('perl-http-message')

ShyPixie commented on 2012-05-19 14:47

remove gdm compile dependency, it is not necessary

denspirit commented on 2012-05-18 19:17

Same thing to me. *Agrees with Jonhoo and asks to remove gdm compile dependency*.

Jonhoo commented on 2012-04-27 20:59

Seems to compile cleanly without gdm.

graysky commented on 2012-04-25 20:28

Guys - gdm is an optdep not a dep which means it's only required to compile, not to use. I don't understand why it is there myself but it is present in the official ARCH package so there is probably a good reason for it. If it pisses you off, fire up your favorite text editor and remove it from the optdeps array and see if it still compiles.

Frazze commented on 2012-04-25 14:31

How to upgrade this _without_ having to install "gdb", as I don't need and want it and all its dependencies?

graysky commented on 2012-04-24 22:06

@artafinde - try compiling in a clean chroot; see, https://wiki.archlinux.org/index.php/DeveloperWiki:Building_in_a_Clean_Chroot

graysky commented on 2012-04-24 22:05

@artafinde - no idea what to tell you; compiles fine for me on several different machines and in a clean chroot. Is your system up-to-date with a freshly synced mirror? Do you have something funky in your /etc/makepkg.conf?

artafinde commented on 2012-04-24 21:46

Error on compiling.

gcc -pedantic -Wall -Wstrict-prototypes -Wnested-externs -Wmissing-prototypes -Wno-overlength-strings -Wdeclaration-after-statement -std=c89 -U__STRICT_ANSI__ -c -I. -I. -I./../utils -I.. -pthread -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng15 -I/usr/include/libxml2 -I/usr/include/libglade-2.0 -pthread -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng15 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -DSTANDALONE -DHAVE_CONFIG_H -march=native -mtune=generic -O2 -pipe -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2 imsmap.c
imsmap.c:416:1: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <https://bugs.archlinux.org/> for instructions.
make[1]: *** [imsmap.o] Error 1
make[1]: Leaving directory `/home/inglor/xscreensaver-arch-logo/src/xscreensaver-5.15/hacks'
make: *** [default] Error 5
==> ERROR: A failure occurred in build().
Aborting...

I tried first to remove the -j9 flag and use -j1, but didn't do much.

SirWuffleton commented on 2012-04-23 07:06

@jasonwryan: That's because of the GDM makedepends. It drags in all kinds of nasty GNOME dependencies.
pacman -Si gdm | grep 'Depends On'
Depends On : libcanberra libxklavier gnome-session gnome-settings-daemon metacity upower accountsservice consolekit xorg-xrdb nss

jasonwryan commented on 2012-04-23 06:53

Gnome? Metacity? That surely can't be right?
Targets (27): accountsservice-0.6.15-1 alsa-plugins-1.0.25-1 gconf-3.2.3-1 gnome-desktop-1:3.2.1-1
gnome-session-3.2.1-1 gnome-settings-daemon-3.2.2-1 iso-codes-3.34-1 json-glib-0.14.2-1
libcanberra-0.28-2 libcanberra-pulse-0.28-2 libgnomekbd-3.2.0-1 libgtop-2.28.4-1
libimobiledevice-1.1.1-2 libplist-1.4-1 libwnck-2.30.7-1 libxklavier-5.1-2 metacity-2.34.1-2
pm-quirks-0.20100619-2 pm-utils-1.4.1-4 polkit-gnome-0.105-1 pulseaudio-1.1-2
pulseaudio-alsa-2-1 rtkit-0.10-3 upower-0.9.15-1 usbmuxd-1.0.7-2 zenity-3.2.0-1
gdm-3.2.1.1-1

Total Download Size: 11.08 MiB
Total Installed Size: 68.93 MiB

Proceed with installation? [Y/n] n

SirWuffleton commented on 2012-04-23 01:41

@graysky: Ah, I see. That's kinda odd but oh well. It's easy enough to just add a customizepkg rule on my end to remove gdm from the makedepends array.
Thanks for the explanation!

graysky commented on 2012-04-23 01:16

@DarkSniper - thanks for the catch; fixed the double switch. Why is gdm a makedepend? Because it is in the official package. See, https://projects.archlinux.org/svntogit/packages.git/commit/trunk?h=packages/xscreensaver&id=a98ac37747a3772143bd5e95b904fade0dbe1ef5

SirWuffleton commented on 2012-04-22 23:39

Why is GDM in makedepends? It is not required to compile the package. (Not to mention it's troublesome for non-GDM users like me.)
I also noticed that the --with-login-manager option is specified twice on the ./configure line.

Could you please fix these two minor issues with the PKGBUILD? Thanks!

battlepanic commented on 2011-11-03 21:30

@graysky I'm on i686. I checked the base-devel package group and it turns out was missing bison, flex, and pkg-config. I installed all three packages and the problem appears to be solved. I'm not sure how those missing packages flew under the radar for this long. Thanks for the help!

graysky commented on 2011-10-30 19:47

No idea, battlepanic. Build up fine on my box and in a clean chroot. You building i686 or x86_64? Do you have base_devel installed?

battlepanic commented on 2011-10-27 20:04

Like erdbeer, I am getting a failure on the last line of package(): pkg/usr/share/applications/xscreensaver-properties.desktop: No such file or directory
http://pastebin.com/RP4bNy2w <--- output of my system's failed build.

graysky commented on 2011-10-01 11:53

Updated to 5.15

graysky commented on 2011-09-06 23:29

@erdbeer - I just tested it and successfully compiled on my x86_64 box... can you post the log to pastebin?
http://pastebin.com/RTnu3iP5 <-- my system's build

erdbeer commented on 2011-09-06 17:25

is this a copy of xscreensaver-arch-logo?

erdbeer commented on 2011-09-06 12:39

fails on the last line of package(): pkg/usr/share/applications/xscreensaver-properties.desktop: No such file or directory
pkg/usr/share/applications/ also doesn't exist

Harvie commented on 2011-08-23 21:43

graysky: it's allways good to start something that will live it's own life :-) btw i hope you'll get it into official screensaver package (or at least to [community]).

xscreensaver's maintainer said that he will merge the logo if it will get enough aurvotes... maybe it's about the time to write him again...

graysky commented on 2011-08-23 20:13

Adpoted and updated, thanks for all the time maintaining it till this point, Harvie!

kynikos commented on 2011-07-11 16:54

out of date, [extra] has xscreensaver 5.14

Harvie commented on 2011-05-03 14:52

Andyvec: replaced

Andyvec commented on 2011-03-24 02:42

xorg-res-utils is not necessary but you have to add xorg-appres, I just compile xscreensaver-arch-logo without problems

Andyvec commented on 2011-03-24 02:39

I compilled xscreensaver-arch-logo without problems but I had to remove "xorg-res-utils" from the dependecies, "xorg-res-utils" is not necesary

Harvie commented on 2011-03-14 23:42

Sorry, i am not using latest X, because it sux. Anyway you can always use original xscreensaver for reference:

[00:40:51] 0 ;) harvie@insomnia xscreensaver-arch-logo $ diff /var/abs/extra/xscreensaver/PKGBUILD PKGBUILD | grep -i res
< depends=('libxxf86vm' 'libglade' 'mesa' 'pam' 'xorg-appres' 'libxmu')
> depends=('libxxf86vm' 'libglade' 'mesa' 'pam' 'xorg-res-utils')

bananabrain commented on 2011-03-14 19:47

Can't build this anymore because xorg-res-utils has been cut from the repos.
No idea what the solution is...

Harvie commented on 2011-01-24 13:46

xaer0knight: wtf? you are unable to build the package completely or you have problems with xscreensaver itself? if you are unable to build, you should read the wiki and install base-dev.

Anonymous comment on 2011-01-21 23:33

there are errors with the add-eletricsheep.diff, patch and commands not found

Harvie commented on 2010-10-04 14:13

scippio: actually i am just adding images to extra/xscreensaver - please report to upstream arch's extra flyspray. thx.

scippio commented on 2010-10-04 12:41

I have problem with font(bad symbols) in date on login screen. And will be good to add actual keyboard layout info into login screen.. please! I'm waiting for this feature long time..

Harvie commented on 2010-09-29 13:43

New version with "New login" button enabled by default. ;-)

Anonymous comment on 2010-09-27 15:26

I modify the pkgbuild and it's working good with version 5.12 ;)

http://www.jwz.org/xscreensaver/xscreensaver-5.12.tar.gz (md5 : 0345c1acb9280729de05c5ca44b401e3)

Harvie commented on 2010-09-14 17:32

btw have someone xscreensaver working with XFT fonts?

It should be something like this, but i keep getting fallback font...

$ cat >> ~/.Xresources
xscreensaver.Dialog.headingFont: xft:DejaVu Sans Mono:pixelsize=12
...
$ xrdb ~/.Xresources; xscreensaver

Harvie commented on 2010-09-14 10:38

will get fixed in 10 minutes...

bpont commented on 2010-09-12 23:19

--> resolving libxxf86misc... unresolvable
WARNING: unresolved dependencies: xscreensaver-arch-logo -> libxxf86misc (not found)

Anonymous comment on 2010-09-04 22:28

Seems to be pointing to a missing dependancy:

==> Install or build missing dependencies for xscreensaver-arch-logo:
error: 'libxxf86misc': could not find or read package

Following are in the AUR:

extra/libxxf86dga 1.1.1-1
extra/libxxf86vm 1.1.0-1
aur/libxxf86vm-static 1.1.0-2


Harvie commented on 2010-08-22 15:17

graysky: You are welcome :-)

graysky commented on 2010-08-22 09:06

Excellent package, thank you.

Harvie commented on 2010-05-26 02:19

new version - now supports electricsheep